Summary:	Mageia installer and Live ISO generation tools
Name:		drakiso
Version:	1.20
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Packaging
Url:		https://gitweb.mageia.org/software/build-system/drakiso
Source0:	https://gitweb.mageia.org/software/build-system/drakiso/snapshot/%{name}-%{version}.tar.xz
Patch1:		drakiso-no-linux32.patch
ExclusiveArch:  %{ix86} x86_64
Requires:	curl dosfstools mgatools mtools patch rpmcheck rpmtools
Requires:	rsync squashfs-tools urpmi xorriso
Recommends:	drakiso-bootloader-files sha3sum

%description
These tools let you generate %{_vendor} installer and live ISOs.

%package bootloader-files
Summary:	Provides files used by the bootloader on Mageia ISOs
Group:		System/Boot and Init

BuildRequires:	drakxtools-backend
BuildRequires:	gettext
BuildRequires:	grub2
BuildRequires:	grub2-efi
BuildRequires:	grub2-mageia-theme
BuildRequires:	libdrakx-kbd-mouse-x11
BuildRequires:	locales
BuildRequires:	perl-Locale-gettext

%description bootloader-files
Files used by the bootloader on Mageia ISOs.

%package null-bootloader
Summary:	Satisfies the basesystem bootloader requirement
Group:		System/Boot and Init

Provides:       bootloader

%description null-bootloader
Satisfies the requirement to have a bootloader when building Live ISOs.

%define my_lib MGA/DrakISO
%define debug_package %{nil}

%prep
%autosetup -p1

%build
%make_build

%install
install -D -m 0755 drakclassic %{buildroot}/%{_bindir}/drakclassic
install -D -m 0755 draklive2 %{buildroot}/%{_bindir}/draklive2
mkdir -p %{buildroot}/%{perl_vendorlib}/%{my_lib}/
install -m 0644 lib/%{my_lib}/*.pm %{buildroot}/%{perl_vendorlib}/%{my_lib}/
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -a examples %{buildroot}/%{_datadir}/%{name}
%make_install -C bootloader PREFIX=$RPM_BUILD_ROOT

%files
%doc NEWS
%{_bindir}/drakclassic
%{_bindir}/draklive2
%{perl_vendorlib}/MGA/DrakISO
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples

%files bootloader-files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bootloader

%files null-bootloader


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.20-4.mga10
+ Revision: 2232634
- Mageia 10 Mass Rebuild

* Mon Dec 23 2024 wally <wally> 1.20-3.mga10
+ Revision: 2129295
- fix build with grub2 without linux32 module

* Fri Apr 05 2024 wally <wally> 1.20-2.mga10
+ Revision: 2054603
- basesystem rebuild for i686

* Sat Jun 24 2023 martinw <martinw> 1.20-1.mga9
+ Revision: 1962947
- translation updates

* Mon Apr 17 2023 martinw <martinw> 1.19-2.mga9
+ Revision: 1953527
- rebuild for new Mageia 9 artwork (bootloader background)

* Sat Oct 22 2022 martinw <martinw> 1.19-1.mga9
+ Revision: 1898530
- improved algorithm for selecting packages from rpmsrate

* Sat Oct 08 2022 martinw <martinw> 1.18-1.mga9
+ Revision: 1895378
- change ESP label to MGAISO-ESP (mga#28409)
- optimise drakclassic build media step
- translation updates

* Fri Apr 01 2022 umeabot <umeabot> 1.17-2.mga9
+ Revision: 1838916
- Mageia 9 Mass Rebuild

* Fri Jan 29 2021 martinw <martinw> 1.17-1.mga8
+ Revision: 1674023
- bootloader:
   - add f2fs module
   - update translations
- examples:
   - remove obsolete nvidia340 drivers
   - remove obsolete capi4linux service

* Wed Jan 13 2021 martinw <martinw> 1.16-3.mga8
+ Revision: 1671642
- rebuild for new grub2-mageia-theme

* Wed Jan 13 2021 martinw <martinw> 1.16-2.mga8
+ Revision: 1671610
- update for new artwork

* Thu Dec 10 2020 martinw <martinw> 1.16-1.mga8
+ Revision: 1655148
- support use of https in repository URLs (mga#27776)
- translation updates

* Tue Jun 09 2020 martinw <martinw> 1.15-1.mga8
+ Revision: 1591398
- draklive2: show installer summary screen when GUI is used
- examples: add extra options in GUI example settings

* Fri May 29 2020 martinw <martinw> 1.14-2.mga8
+ Revision: 1588882
- update translations

* Fri May 29 2020 martinw <martinw> 1.14-1.mga8
+ Revision: 1588880
- allow user to select compression type/level for mksquashfs
   - default to zstd, level 18
- bootloader: include linux32 and videoinfo modules

* Mon Mar 23 2020 martinw <martinw> 1.13-1.mga8
+ Revision: 1559161
- bootloader: in grub 2.04 linux16/linuxefi are included in linux module
- examples:
   - default to Mageia 8
   - support encrypted persistent partition
   - prevent unnecessary updates on first boot
   - reorder boot options to make it easier to remove 'splash quiet'
   - default to not generating a xorg.conf file on boot
   - exclude plymouth from minimal example
   - don't try to disable non-existent services in minimal example
- translation updates

* Sat Feb 15 2020 umeabot <umeabot> 1.12-2.mga8
+ Revision: 1526293
- Mageia 8 Mass Rebuild

* Tue May 14 2019 martinw <martinw> 1.12-1.mga7
+ Revision: 1397745
- support separate desktop and autologin session names
- translation updates

* Sat May 11 2019 martinw <martinw> 1.11-3.mga7
+ Revision: 1397310
- Rebuild for tweaked grub2-mageia-theme.

* Fri May 10 2019 martinw <martinw> 1.11-2.mga7
+ Revision: 1397158
- rebuild for new artwork

* Tue Apr 09 2019 martinw <martinw> 1.11-1.mga7
+ Revision: 1387552
- fix ownership of dummy root directory (mga#24501)
- translation updates

* Fri Feb 22 2019 martinw <martinw> 1.10-1.mga7
+ Revision: 1369408
- support generation of sha3-512 checksum
- allow user to select which checksum files are generated
- bootloader: tweak grub.cfg for use with multibootusb
- drakclassic: show package dependencies at verbose level > 4
- translation updates

* Sat Jan 26 2019 martinw <martinw> 1.9-1.mga7
+ Revision: 1361043
- bootloader: make it clear that non-free drivers are only for NVIDIA

* Sat Jan 12 2019 martinw <martinw> 1.8-1.mga7
+ Revision: 1355764
- fix linux16/linuxefi inclusion in bootloader images
- minor improvements to examples

* Fri Jan 11 2019 martinw <martinw> 1.7-1.mga7
+ Revision: 1355103
- default to using linux16 and linuxefi GRUB2 commands (mga#24137)
- translation updates

* Sat Dec 29 2018 martinw <martinw> 1.6-2.mga7
+ Revision: 1346512
- add missing dependencies for drakclassic (mga#24090)

* Wed Dec 19 2018 martinw <martinw> 1.6-1.mga7
+ Revision: 1342930
- give the ESP partition a volume label, to work round mga#23939

* Mon Dec 17 2018 martinw <martinw> 1.5-1.mga7
+ Revision: 1342483
- support both 32 and 64 bit packages in media on the ISOs
- get some settings from the repo product.id file
- rename 'version' setting to 'release'
- translation updates

* Tue Nov 27 2018 martinw <martinw> 1.4-1.mga7
+ Revision: 1335741
- improved control of isohybrid protective partition start and type
- avoid full file path appearing in checksum files
- undo accidental commit of changes to examples
- translation updates

* Sun Nov 11 2018 martinw <martinw> 1.3-1.mga7
+ Revision: 1329531
- support starting isohybrid protective partition at sector 1
- translation updates

* Sat Nov 03 2018 martinw <martinw> 1.2-1.mga7
+ Revision: 1327779
- draklive: enable boot from updated kernel in persistent overlay
- draklive: enable pivot back to initramfs for cleaner shutdown
- update examples for changes in Mageia 7
- translation updates

* Thu Aug 30 2018 martinw <martinw> 1.1-1.mga7
+ Revision: 1255764
- drakclassic: filter out obsolete packages when calculating dependencies
- drakclassic: copy package index file into dist directory
- drakclassic: various minor changes for clarity/readability
- draklive: add draklive installer manual to Xfce example
- translation updates

* Thu May 24 2018 martinw <martinw> 1.0-1.mga7
+ Revision: 1231977
- add examples
- fix rpmlint warnings
- add sha1.lst for first release
- Change recommends
  - don't need recommends for standard Mageia ISO builds
  - drakiso-bootloader-files provides the necessary files
    for custom builds
- Add null bootloader package.
- eliminate conflict with original draklive
- adjust requires to support 32-bit EFI
- Add spec file.
- Created package structure for drakiso.

